﻿using System.Collections.ObjectModel;

namespace XamDataGridDynamicColumns
{
    public class HoursDataSource
    {
        public ObservableCollection<DataItem> Hours { get; set; }

        public HoursDataSource()
        {
            PopulateHours();
        }

        private void PopulateHours()
        {
            var list = new ObservableCollection<DataItem>();

            for (int i = 1; i < 160; i++)
            {
                list.Add(new DataItem() { Name = i.ToString(), Value = i });
            }

            Hours = list;
        }
    }

    public class DataItem
    {
        public string Name { get; set; }
        public int Value { get; set; }
    }
}
